Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

TransformationPlane Class

The TransformationPlane class describes a transformation from global model coordinates to local and back to global.
Inheritance Hierarchy
SystemObject
  Tekla.Structures.ModelTransformationPlane

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2018.1.0.0 (2018.1.0.0)
Syntax
[SerializableAttribute]
public sealed class TransformationPlane

The TransformationPlane type exposes the following members.

Constructors
  Name Description
Public method TransformationPlane
Creates a new identity transformation using the global coordinate system.
Public method TransformationPlane(CoordinateSystem)
Creates a new transformation plane defined by the given coordinate system.
Public method TransformationPlane(Point, Vector, Vector)
Creates a new transformation plane defined by the given origin and two vectors.
Top
Properties
  Name Description
Public property TransformationMatrixToGlobal
Gives a transformation matrix for converting local points in the transformation plane to global coordinates.
Public property TransformationMatrixToLocal
Gives a transformation matrix for converting points in the global plane to local coordinates in the transformation plane.
Top
Methods
  Name Description
Public method ToString
Returns a string representation of the matrices that transform to local and global coordinates.
(Overrides ObjectToString.)
Top
Examples
The following example shows how to use transformation planes for transforming points:
using Tekla.Structures.Model;
using Tekla.Structures.Geometry3d;

public class Example
{
       public void Example1()
       {
           Model myModel = new Model();
           WorkPlaneHandler myWorkPlaneHandler = myModel.GetWorkPlaneHandler();
           Beam myBeam = new Beam();
           Point Point1 = new Point();
           Point Point2 = new Point();

           TransformationPlane currentPlane = myWorkPlaneHandler.GetCurrentTransformationPlane();
           TransformationPlane beamPlane = new TransformationPlane(myBeam.GetCoordinateSystem());
           Point lPoint1 = beamPlane.TransformationMatrixToLocal.Transform(currentPlane.TransformationMatrixToGlobal.Transform(Point1));
           Point lPoint2 = beamPlane.TransformationMatrixToLocal.Transform(currentPlane.TransformationMatrixToGlobal.Transform(Point2));
       }
}
See Also